OPENMP = -openmp
SUB_PLAT = _OMP
###  Compiler flags for fortran and C modules.


# Optimization flags
OPTIMIZE =  -O3 -ipo -ipo_obj
OPTIMIZE_ACCURATE = -mp -O3 -ipo -ipo_obj 
NOOPT = -O0 

# Compiler flags
FFLAGS =  -cm $(OPTIMIZE) $(OPENMP)
FFLAGS_NOOPT = -cm  $(NOOPT) $(OPENMP)
FFLAGS_ACCURATE = -cm $(OPTIMIZE_ACCURATE)  $(OPENMP)
CFLAGS = -cm $(OPTIMIZE) $(OPENMP)

# Which compiler and linker to use
F77 = ifort
CC = icc
LINKER = ifort

# Linker paths and flags
LINKFLAGS =  -cm -Vaxlib  $(OPTIMIZE) $(OPENMP)
#LIBPATH =  -L/usr/local/lib
#BLAS = -lmkl_i2p -lguide
LIBPATH =  -L$(HOME)/lib/LINUX
BLAS = -lgoto_it2-r0.9
RANLIB = ranlib
MGS = mgs.risc

#  Platform postfix to use in naming executables and library files
PLAT = LINUX_ICC_IA64$(SUB_PLAT)
